{% extends "easy_pdf/base.html" %}

{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter portrait;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1.5em;">
            <div align="center">
                <div style="line-height: 35px">
                    <span style="font-size: 23px;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 13</span><br>
                    <span style="font-size: 20px;font-stretch: semi-expanded;font-weight: bold">(An Autonomous Institution - Anna University, Chennai)</span><br>
                    <br>
                    <span style="font-size: 22px;font-stretch: semi-expanded;font-weight: bold"><u>COURSE REGISTRATION FORM - REGULATIONS 2016</u></span><br>
                </div>
                {#                <br>#}
                <table cellpadding="5" border="1" style="border-width: thin;padding: 30%;">
                    <tr>
                        <td colspan="1" align="left">
                            <span style="font-size: 1.5em;">
                                <strong>REGISTER NO</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                              {{ context.student_name.roll_no }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NAME</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                               {{ context.student_name }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>PROGRAMME AND BRANCH</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                               {{ context.student_name.qualification }} - {{ context.student_name.department.acronym }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>CURRENT SEMESTER</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                                {{ context.semester }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>PERIOD</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES IN THE CURRENT SEMESTER</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                                {{ context.courses_count }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES COMPLETED WITH TOTAL CREDITS EARNED TILL THE PREVIOUS SEMESTER</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                        </td>
                    </tr>
                </table>
                {#                <br>#}

            </div>
        </div>
        <br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE CURRENT SEMESTER COURSES REGISTERED EXCLUDING ONE CREDIT COURSES:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 8%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 17%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 30%;">COURSE TITLE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">NO. OF CREDITS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">COURSE CATEGORY PC/PE/OE/BS
                    /ES/HS/FC
                </th>
            </tr>
            </thead>
            <tbody>
            {% if not context.data %}
                <tr>
                    <td align="center">1</td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td align="center">2</td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            {% for entry in context.data %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ entry.semester }}</td>
                    <td align="center">{{ entry.course_id }}</td>
                    <td align="left">{{ entry.course_name }}</td>
                    <td align="center">{{ entry.credits }}</td>
                    <td align="center">{{ entry.category }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE ONE CREDIT COURSES REGISTERED:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 35%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 50%;">COURSE TITLE</th>
            </tr>
            </thead>
            <tbody>
            {% if not context.data_one_credit %}
                <tr>
                    <td align="center">1</td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            {% for entry in context.data_one_credit %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ entry.course_id }}</td>
                    <td align="left">&nbsp;&nbsp;{{ entry.course_name }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE COURSES REGISTERED FOR REAPPEARANCE:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">COURSE TITLE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 9%;">NO. OF CREDITS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE CATEGORY PC/PE/OE/BS
                    /ES/HS
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">REMARKS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">2</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            </tbody>
        </table>

        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE ADDED COURSES:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">COURSE TITLE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 9%;">NO. OF CREDITS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">PE/OE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">REMARKS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            </tbody>
        </table>

        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE DROPPED COURSES:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">COURSE TITLE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 9%;">NO. OF CREDITS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">PE/OE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">REMARKS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            </tbody>
        </table>

        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE CHANGED COURSES:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">COURSE CODE OF CHANGED
                    COURSE
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">COURSE TITLE OF THE CHANGED
                    COURSE
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 9%;">NO. OF CREDITS</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE CODE OF THE COURSE FOR
                    WHICH CHANGE IS MADE
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE TITLE OF THE COURSE FOR
                    WHICH CHANGE ID MADE
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 20%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>

            </tbody>
        </table>

        <br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>SUMMARY:</strong>
        </div>

        <table cellpadding="5" border="1" style="border-width: thin;padding: 30%;">
            <tr>
                <td colspan="1" align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF CURRENT SEMESTER COURSES REGISTERED (EXCLUDING ONE CREDIT COURSES)</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">
                                {{ context.data_count }}
                            </span>
                </td>
            </tr>
            <tr>
                <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF ONE CREDIT COURSES REGISTERED</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">
                                {{ context.data_one_credit_count }}
                            </span>
                </td>
            </tr>
            <tr>
                <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES REGISTERES FOR REAPPEARANCE</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                </td>
            </tr>
            <tr>
                <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES ADDED</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                </td>
            </tr>
            <tr>
                <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES DROPPED</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                </td>
            </tr>
            <tr>
                <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NUMBER OF COURSES CHANGED</strong>
                            </span>
                </td>
                <td align="left">
                            <span style="font-size: 1.6em">

                            </span>
                </td>
            </tr>
        </table>
        <br>

    {% endif %}
    <br>
    <div style="padding-top: 2em;">
        <div align="center">
            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>DATE:</strong>
                            </span>
                    </td>
                </tr>
            </table>

            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>SIGNATURE OF THE STUDENT</strong>
                            </span>
                    </td>
                    <td align="right">
                            <span style="font-size: 1.5em;">
                                <strong>SIGNATURE OF THE COUNSELLOR</strong>
                            </span>
                    </td>
                </tr>
            </table>

            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>PROGRAMME COORDINATOR</strong>
                            </span>
                    </td>
                    <td align="right">
                            <span style="font-size: 1.5em;">
                                <strong>HEAD OF THE DEPARTMENT</strong>
                            </span>
                    </td>
                </tr>
            </table>

        </div>
    </div>
{% endblock %}